import express, { Request, Response } from 'express'
import ResponseHelper from '../Helpers/ResponseHelper'
import CampaignController from '../Controllers/CampaignController'

const routerCampaign = express.Router()

const campaignController = new CampaignController()

routerCampaign.get('/', async (req: Request, res: Response) => {
  const { errorObj, data } = await campaignController.fetchCampaigns()
  res.json(ResponseHelper.createResponse(errorObj, data))
})

routerCampaign.post('/', async (req: Request, res: Response) => {
  const { errorObj, data } = await campaignController.addCampaign(req.body)
  res.json(ResponseHelper.createResponse(errorObj, data))
})

export default routerCampaign